{ config, ... }:

{
  services.photoprism = {
    enable = true;
    originalsPath = "/data/cold/photoprism";
    settings = {
      PHOTOPRISM_SITE_URL = "https://photoprism.sbruder.de/";
    };
  };

  sbruder.restic.system.extraExcludes = [
    "/var/lib/private/photoprism"
  ];

  services.nginx.virtualHosts."photoprism.sbruder.de" = {
    locations = {
      "/" = {
        proxyPass = "http://127.0.0.1:${toString config.services.photoprism.port}";
        proxyWebsockets = true;
      };
    };
  };
}
