{ config, lib, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    games = {
      enable = true;
      performanceIndex = 8;
    };
    gui.enable = true;
    media-proxy.enable = true;
    mullvad.enable = true;
    restic.system = {
      enable = true;
      uploadLimit = 1500;
      extraPaths = [
        "/data"
      ];
    };
    unfree.allowSoftware = true;
    wireguard.home.enable = true;
  };

  services.tor = {
    enable = true;
    client.enable = true;
  };
  services.privoxy = {
    enable = true;
    enableTor = true;
  };

  networking.hostName = "hitagi";

  system.stateVersion = "20.03";
}
