{
  services.udev.extraRules = /* udevrules */ ''
    # ST-Link
    SUBSYSTEMS=="usb", ATTRS{idVendor}=="0483", ATTRS{idProduct}=="3748", \
        MODE:="0666"

    # Steam emulated controller
    KERNEL=="uinput", SUBSYSTEM=="misc", TAG+="uaccess", OPTIONS+="static_node=uinput"

    # Nintendo Switch Pro Controller over USB hidraw
    KERNEL=="hidraw*", ATTRS{idVendor}=="057e", ATTRS{idProduct}=="2009", MODE="0660", GROUP="users", TAG+="uaccess"

    # Nintendo Switch Pro Controller over bluetooth hidraw
    KERNEL=="hidraw*", KERNELS=="*057E:2009*", MODE="0660", GROUP="users", TAG+="uaccess"

    # TI-84+ SE
    SUBSYSTEM=="usb", ATTRS{idVendor}=="0451", ATTRS{idProduct}=="e008", MODE="0660", GROUP="users"

    # TFA AIRCO2NTROL COACH (Holtek Semiconductor, Inc. USB-zyTemp)
    SUBSYSTEMS=="usb", ATTRS{idVendor}=="04d9", ATTRS{idProduct}=="a052", MODE="0644"
  '';

  boot.kernelModules = [ "uinput" ];
}
