{ config, options, pkgs, ... }:
{
  users.users.simon = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "cdrom"
      "corectrl"
      "dialout"
      "keys"
      "libvirtd"
      "lp"
      "networkmanager"
      "video"
      "wheel"
      "wireshark"
    ];
    openssh.authorizedKeys.keys = config.sbruder.pubkeys.trustedKeys;
    initialPassword = "foobar"; # for vm
  };

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.simon = { lib, pkgs, ... }: {
    imports = [ ./modules ];

    config = {
      home.stateVersion = config.system.stateVersion;
    };
  };
}
