{ lib, nixosConfig, ... }:
let
  common = import ./common.nix;
  solarized = lib.mapAttrs (k: v: builtins.substring 1 6 v) common.colorschemes.solarized;
in
{
  programs.foot = {
    enable = nixosConfig.sbruder.gui.enable;
    settings = {
      main = {
        font = "monospace:size=13.5, emoji:size=11";
        dpi-aware = "no";
        pad = "0x0";
        term = "xterm-256color";
      };

      bell = {
        urgent = "yes";
      };

      mouse = {
        hide-when-typing = "yes";
      };

      cursor = {
        color = "${solarized.base03} ${solarized.base0}";
      };

      colors = {
        background = solarized.base03;
        foreground = solarized.base0;

        regular0 = solarized.base02;
        regular1 = solarized.red;
        regular2 = solarized.green;
        regular3 = solarized.yellow;
        regular4 = solarized.blue;
        regular5 = solarized.magenta;
        regular6 = solarized.cyan;
        regular7 = solarized.base2;

        bright0 = solarized.base03;
        bright1 = solarized.orange;
        bright2 = solarized.base01;
        bright3 = solarized.base00;
        bright4 = solarized.base0;
        bright5 = solarized.violet;
        bright6 = solarized.base1;
        bright7 = solarized.base3;
      };

      key-bindings = {
        clipboard-copy = "Control+Mod1+c XF86Copy";
        clipboard-paste = "Control+Mod1+v XF86Paste";
        spawn-terminal = "none"; # I don’t need it
      };
    };
  };
}
