{ config, ... }:
let
  signaturePersonal = ''
    --
    Simon Bruder
    Appartement 149
    Güntzstraße 28/28a
    01307 Dresden

    🔑 (GPG): 47E7 559E 037A 3565 2DBB  F8AA 8D3C 82F9 F309 F8EC
    📧 (e-mail): simon@sbruder.de
    📱 (mobile): +49 152 56561414
  '';
in
{
  accounts.email = {
    maildirBasePath = "${config.xdg.dataHome}/mail";

    accounts = {
      personal = rec {
        primary = true;

        realName = "Simon Bruder";
        address = "simon@sbruder.de";

        userName = address;
        passwordCommand = "pass sbruder.de/mail";

        imap = {
          host = "vueko.sbruder.de";
          tls.useStartTls = true;
        };
        smtp = {
          host = "vueko.sbruder.de";
          port = 587;
          tls.useStartTls = true;
        };

        gpg = {
          key = config.programs.gpg.settings.default-key;
          signByDefault = true;
          encryptByDefault = true;
        };

        signature.text = signaturePersonal;

        aerc-sbruder.enable = true;
        mbsync = {
          enable = true;
          #flatten = ".";
          create = "both";
          expunge = "both";
        };
        msmtp.enable = true;
        notmuch.enable = true;
      };
      riseup = rec {
        realName = "Simon Bruder";
        address = "sbruder@riseup.net";

        userName = address;
        passwordCommand = "pass web/riseup.net | head -n 1";

        imap = {
          host = "mail.riseup.net";
          tls.useStartTls = true;
        };
        smtp = {
          host = "mail.riseup.net";
          port = 587;
          tls.useStartTls = true;
        };

        gpg = {
          key = config.programs.gpg.settings.default-key;
          signByDefault = true;
          encryptByDefault = true;
        };

        signature.text = signaturePersonal;

        aerc-sbruder.enable = true;
      };
      tu-dresden = rec {
        realName = "Simon Bruder";
        address = "simon.bruder@mailbox.tu-dresden.de";

        userName = "user\\sibr833e";
        passwordCommand = "pass web/tu-dresden.de | head -n 1";

        imap = {
          host = "msx.tu-dresden.de";
          tls.useStartTls = true;
        };
        smtp = {
          host = "msx.tu-dresden.de";
          port = 587;
          tls.useStartTls = true;
        };

        gpg = {
          key = config.programs.gpg.settings.default-key;
          signByDefault = true;
          encryptByDefault = true;
        };

        signature.text = signaturePersonal;

        aerc-sbruder.enable = true;
      };
    };
  };
}
